flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From OmPrakash Muppirala <bigosma...@gmail.com>
Subject Re: [FalconJX] the Publisher is broken
Date Fri, 03 May 2013 18:53:50 GMT
It does seem to be there in the develop branch.

https://fisheye6.atlassian.com/browse/~br=develop/flex-falcon/compiler.jx/src/org/apache/flex/compiler/internal/graph/GoogDepsWriter.java

On Fri, May 3, 2013 at 11:43 AM, Alex Harui <aharui@adobe.com> wrote:

> SmartGit shows that file is in Git.  Do you not see it?  It is in
> Compiler.jx/src/org/apache/flex/compiler/internal/graph
>
>
> On 5/3/13 11:29 AM, "Alex Harui" <aharui@adobe.com> wrote:
>
> > Wow.  My git status is clean, but you're right, the log doesn't show that
> > file in in.
> >
> > I'll try to figure out why it isn't showing up.
> >
> >
> > On 5/3/13 11:11 AM, "Erik de Bruin" <erik@ixsoftware.nl> wrote:
> >
> >> The thing is: FalconJX is not compiling 'out of the box'. I pulled the
> >> latest stuff for flex-falcon, rebuild the compiler (Falcon) with the ant
> >> file in the root dir and then tried to compile FalconJX and it
> complained
> >> it couldn't find GoogDepsWriter...
> >>
> >> EdB
> >>
> >>
> >>
> >> On Friday, May 3, 2013, Alex Harui wrote:
> >>
> >>> It is that damn circular dependency stuff again.  This is easily the
> most
> >>> "broken" thing about the Closure compiler.  Once we had to support
> >>> libraries, we couldn't filter out the circularities as we cross
> compile.
> >>>  We
> >>> have to filter out circularities at publish time.
> >>>
> >>> In theory, if you have goog.require(goog.events) and
> >>> goog.require(goog.events.EventTarget) in EventDispatcher and anywhere
> else
> >>> you directly use those files, the new publisher should copy it and
> anything
> >>> goog.events requires.
> >>>
> >>>
> >>> On 5/3/13 10:45 AM, "Erik de Bruin" <erik@ixsoftware.nl<javascript:;>>
> >>> wrote:
> >>>
> >>>> Alex,
> >>>>
> >>>> on April 29th you changed the GoogDepsWriter stuff in
> >>>> MXMLFlexJSPublisher. Why? This has now broken the build of
> >>>> 'goog.events', as the goog library is no longer copied to the correct
> >>>> location and the dependencies for 'goog.events.Event' and
> >>>> 'goog.events.EventTarget' are no longer correctly resolved. What did
> >>>> your fix 'fix', I don't recall anything broken with the Publisher?
> >>>>
> >>>> EdB
> >>>>
> >>>>
> >>>>
> >>>> --
> >>>> Ix Multimedia Software
> >>>>
> >>>> Jan Luykenstraat 27
> >>>> 3521 VB Utrecht
> >>>>
> >>>> T. 06-51952295
> >>>> I. www.ixsoftware.nl
> >>>
> >>> --
> >>> Alex Harui
> >>> Flex SDK Team
> >>> Adobe Systems, Inc.
> >>> http://blogs.adobe.com/aharui
> >>>
> >>>
>
> --
> Alex Harui
> Flex SDK Team
> Adobe Systems, Inc.
> http://blogs.adobe.com/aharui
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message